com.verisign.epp.codec.registry.v02

## Class EPPRegistryServices.EPPRegistryObjURI

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryServices.EPPRegistryURI
  - - com.verisign.epp.codec.registry.v02.EPPRegistryServices.EPPRegistryObjURI

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable
  Enclosing class:
    EPPRegistryServices

      public static class EPPRegistryServices.EPPRegistryObjURI
      extends EPPRegistryServices.EPPRegistryURI

  Object service URI that includes the URI value and a "required" attribute that indicates whether use of the object service is required.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryServices.EPPRegistryURI

      `ATTR_REQUIRED, ELM_EXT_URI, ELM_EXT_URI_LOCALNAME, ELM_OBJ_URI, ELM_OBJ_URI_LOCALNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryObjURI()` Default constructor.
    `EPPRegistryObjURI(java.lang.String uri, java.lang.Boolean required)` Constructor that takes the two required attributes for the URI and the required attribute.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryObjURI` compare.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent` .
    `java.lang.String` | `getRootName()` Gets the name of the root XML element.

    - ### Methods inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryServices.EPPRegistryURI

      `clone, decode, encode, getRequired, getUri, setRequired, setUri, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryObjURI

          public EPPRegistryObjURI()

      Default constructor. The "required" attribute must be set and the URI must be set prior to calling `EPPRegistryServices.EPPRegistryURI.encode(Document)`.

    - #### EPPRegistryObjURI

          public EPPRegistryObjURI(java.lang.String uri,
                                   java.lang.Boolean required)

      Constructor that takes the two required attributes for the URI and the required attribute.
      Parameters:
        `aUri` - The object URI
        `aRequired` - `true` if the use of the object URI is required; `false` otherwise.

  - ### Method Detail

    - #### getRootName

          public java.lang.String getRootName()

      Gets the name of the root XML element.
      Specified by:
        `getRootName` in class `EPPRegistryServices.EPPRegistryURI`
      Returns:
        `EPPRegistryServices.EPPRegistryURI.ELM_OBJ_URI` for the object URI.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryObjURI` compare.
      Overrides:
        `equals` in class `EPPRegistryServices.EPPRegistryURI`
      Parameters:
        `aObject` - `EPPRegistryObjURI` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent` .
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.